<?php

namespace App\Services\PTW;

use App\Http\Resources\PTW\PtwMstDeclarationResource;
use App\Models\PtwMapDeclaration;
use Illuminate\Support\Facades\App;

class PtwMstDeclarationServices extends PtwMstDeclarationResource
{
    public $vvsPtwDeclModel;
    public function __construct(){
        $this->vvsPtwDeclModel = new PtwMapDeclaration();
    }
    
    public function getPtwSDeclarationList(){
        return PtwMapDeclaration::where('IS_DELETED', 0)->where("IS_ACTIVE", 1)
                ->where('DECLARATION_SECTION', 'LIKE', '%ptw%')->get();
    }
    
}
